<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- Parses SVMExecution .xml files for device/application messages -->

<xsl:output method="text" indent="no" omit-xml-declaration="yes"/>

<xsl:template match="/SVMExecution">
    <xsl:if test="normalize-space(SPStatus/Message) != ''">
        <xsl:value-of select="normalize-space(SPStatus/Message)"/>
        <xsl:text>&#xA;</xsl:text>
        <xsl:text>&#xA;</xsl:text>
    </xsl:if>
    <xsl:for-each select="Device">
        <xsl:text>Device: </xsl:text>
        <xsl:value-of select="normalize-space(@display)"/>
        <xsl:text>&#xA;</xsl:text>
        <xsl:if test="normalize-space(SPStatus/Message) != ''">
            <xsl:value-of select="normalize-space(SPStatus/Message)"/>
            <xsl:text>&#xA;</xsl:text>
        </xsl:if>
        <xsl:for-each select="Application">
            <xsl:text>  Application: </xsl:text>
            <xsl:value-of select="normalize-space(@display)"/>
            <xsl:text>&#xA;</xsl:text>
            <xsl:if test="normalize-space(SPStatus/Message) != ''">
                <xsl:text>  </xsl:text>
                <xsl:value-of select="normalize-space(SPStatus/Message)"/>
                <xsl:text>&#xA;</xsl:text>
            </xsl:if>
        </xsl:for-each>
        <xsl:text>&#xA;</xsl:text>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
